<?php
include("../sessionreserved.php");
include("../../db.php");

if(empty($_REQUEST['activeuser']))
	$_REQUEST['activeuser'] = $_SESSION['user']['id'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Osservatorio Edile Biella - R.L.S.T. | Elenco visite</title>
<script language="javascript" src="../js/script.js"></script>
<script language="javascript" src="js/rlst.js"></script>

<link rel="stylesheet" type="text/css" href="css/style.css" />
</head>

<body>

<div id="header"></div>
<div id="container">
	<div id="mainHeader" class="clearfix"><?php include("mainHeader.php");?></div>
	<?php include("mainMenu.php");?>
   
    <div id="mainContainer">
        <span class="mainContentTitle">
        Elenco delle visite inserite da 
        <select onchange="window.location='visita_list.php?activeuser='+this.value">
        <?php
        $result = mysql_query("SELECT * FROM users WHERE zona <> '' AND dir = '".$_SESSION['dir']."' ORDER BY anagrafica");
            while($row = mysql_fetch_array($result)){
				$row['userid'] == $_REQUEST['activeuser'] ? $sel = ' selected="selected"' : $sel = '';
                echo '<option value="'.$row['userid'].'"'.$sel.'>'.utf8_encode($row['anagrafica']).'</option>';
			}
        ?>
        </select>

        o per suo conto.
        </span>
        <div id="mainContent" class="clearfix">
        <?php
		if(empty($_GET)){
			$_SESSION['arrOrder'] = array(
				0 => 'datavisita DESC',
				1 => 'cant_comune ASC',
				2 => 'cant_strada ASC',
				3 => 'id_numero ASC',
				4 => 'imp_anagrafica ASC',
				5 => 'codice ASC'
			);
		}
			
		if(!empty($_GET['ord'])){
			
			//controllo se il primo elemento dell'array è l'elemento cercato, perchè, nel caso sia così, devo cambiare
			//da ASC a DESC
			if(current(explode(" ",current($_SESSION['arrOrder']))) <> $_GET['ord']){
			
				//estraggo l'indice dell'elemento da eliminare 
				$key = array_search($_GET['ord'].' ASC',$_SESSION['arrOrder']);
				if(!$key)
					$key = array_search($_GET['ord'].' DESC',$_SESSION['arrOrder']);
					
				//memorizzo il valore, senza ASC e DESC dell'elemento, perchè intanto, quando lo metto all'inizio, dovrà sempre
				//essere ASC
				$var = current(explode(" ",$_SESSION['arrOrder'][$key]));
				//elimino l'elemento dall'array
				unset($_SESSION['arrOrder'][$key]);
				//lo reinserisco all'inizio con valore ASC
				array_unshift($_SESSION['arrOrder'],$var.' ASC');
			
			//Se il primo elemento è quello quello passato dall'utente come chiave di ordinamento, devo solo cambiare da ASC a DESC
			}else if(empty($_GET['from'])){
				//divido il primo elemento in nome campo e tipo di ordine
				$campo = explode(" ",$_SESSION['arrOrder'][0]);
				//se l'ordine è ASC, all'elemento aggiungo DESC
				if($campo[1] == 'ASC'){
					$str = $campo[0] .= ' DESC';
				//se l'ordine è DESC, all'elemento aggiungo ASC
				}else{
					$str = $campo[0] .= ' ASC';
				}
				//ripristino il primo elemento con il nuovo tipo di ordinamento
				$_SESSION['arrOrder'][0] = $str;
			}
		}
		$orderby = implode(',',$_SESSION['arrOrder']);		

		$limit = 20;
		$query = "
			SELECT SQL_CALC_FOUND_ROWS *,
			visite.idvisita AS id, DATE_FORMAT(datavisita,'%d/%m/%Y') AS data
			FROM visite 
			LEFT JOIN visite_imp ON visite.idvisita = visite_imp.idvisita
			WHERE visite.datavisita IS NOT NULL AND
			visite.cpt = 0 AND
			(visite.userid = ".$_REQUEST['activeuser']." OR visite.percontodi = ".$_REQUEST['activeuser'].")
			GROUP BY visite.idvisita
			ORDER BY ".$orderby.",visite.idvisita
			LIMIT ".intval($_REQUEST['from']).",".$limit;
		
		$result = mysql_query($query);
		
		if(mysql_num_rows($result) > 0){
			
			//navigazione
			$result2 = mysql_query("SELECT FOUND_ROWS() AS tot");
			$tot = mysql_result($result2,0,'tot');
			
			if($tot > $limit){
				
				$npag = ceil($tot / $limit);
				$pags = '<div class="naviga">Pagina ';
				for($i=0;$i<$npag;$i++){
					if($_REQUEST['from'] / $limit == $i)
						$st = ' class="active"';
					else
						$st = '';
					$cur = $i + 1;
					$pags .= '<a'.$st.' href="visita_list.php?activeuser='.$_REQUEST['activeuser'].'&ord='.$_GET['ord'].'&from='.($i * $limit).'">'. $cur .'</a> ';
				}
				
				$pags .= "</div>";
			}
						
			echo '
			<table class="tableList" cellspacing="1" cellpadding="0">
				<tr class="header">
					<td width="30"><a href="?activeuser='.$_REQUEST['activeuser'].'&ord=datavisita">Data</a></td>
					<td width="40"><a href="?activeuser='.$_REQUEST['activeuser'].'&ord=codice">Codice</a></td>
					<td width="120"><a href="?activeuser='.$_REQUEST['activeuser'].'&ord=cant_comune">Comune</a></td>
					<td width="190"><a href="?activeuser='.$_REQUEST['activeuser'].'&ord=cant_strada">Indirizzo</a></td>
					<td><a href="?activeuser='.$_REQUEST['activeuser'].'&ord=imp_anagrafica">Impresa</a></td>
				</tr>
			';
			while($row=mysql_fetch_array($result)){
				
				if($row['custom_comune'] == ''){
					$comune = $row['cant_comune'];
					$strada = utf8_decode($row['cant_strada']);
					$numero = $row['id_numero'];
				}else{
					$comune = $row['custom_comune'];
					$strada = $row['custom_strada'];
					$numero = $row['custom_numero'];
				}
				
				echo '
				<tr onclick="window.location=\'visita_edit.php?id='.$row['id'].'\'">
					<td>'.$row['data'].'</td>
					<td>'.$row['codice'].'</td>
					<td nowrap>'.$comune.'</td>
					<td nowrap>'.$strada.' '.$numero.'</td>
					<td>'.$row['imp_anagrafica'].'</td>
				</tr>
				';
			}
			echo '</table>';
			echo $pags;
		}else{
			echo "Nessuna visita inserita";
		}
		?>
        </div>
    </div>
    
</div>

<div id="footer"></div>
</body>
</html>